OGRE: Ogre::UserDefinedObject Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::UserDefinedObject Class Reference

This class is designed to be subclassed by OGRE users, to allow them to associate their own application objects with MovableObject instances in the engine. More...

`#include <OgreUserDefinedObject.h>`

List of all members.

## Public Member Functions

| UserDefinedObject ()
| Standard constructor.
virtual | ~UserDefinedObject ()
virtual long | getTypeID (void) const
| Return a number identifying the type of user defined object.
virtual const String & | getTypeName (void) const
| Return a string identifying the type of user defined object.

## Detailed Description

This class is designed to be subclassed by OGRE users, to allow them to associate their own application objects with MovableObject instances in the engine.

Remarks:
  It's always been suggested that an OGRE application would likley comprise a number of game objects which would keep pointers to OGRE objects in order to maintain the link. However, in some cases it would be very useful to be able to navigate directly from an OGRE instance back to a custom application object. This abstract class exists for this purpose; MovableObjects hold a pointer to a UserDefinedObject instance, which application writers subclass in order to include their own attributes. Your game objects themselves may be subclasses of this class, or your subclasses may merely be a link between them.

  Because OGRE never uses instances of this object itself, there is very little definition to this class; the application is expected to add all the detail it wants. However, as a hint, and for debugging purposes, this class does define a 'type id', which it is recommended you use to differentiate between your subclasses, if you have more than one type.

Definition at line 56 of file OgreUserDefinedObject.h.

## Constructor & Destructor Documentation

Ogre::UserDefinedObject::UserDefinedObject | ( |  | ) |

| Standard constructor.

virtual Ogre::UserDefinedObject::~UserDefinedObject | ( |  | ) | `[virtual]`

| Definition at line 61 of file OgreUserDefinedObject.h.

## Member Function Documentation

virtual long Ogre::UserDefinedObject::getTypeID | ( | void |  | ) | const`[virtual]`

Return a number identifying the type of user defined object.

Remarks:
  Can be used to differentiate between different types of object which you attach to OGRE MovableObject instances. Recommend you override this in your classes if you use more than one type of object.

  Alternatively, you can override the getTypeName method and use that instead; that version is a litle more friendly and easier to scope, but obviously slightly less efficient. You choose which you prefer.

virtual const String& Ogre::UserDefinedObject::getTypeName | ( | void |  | ) | const`[virtual]`

Return a string identifying the type of user defined object.

Remarks:
  Can be used to differentiate between different types of object which you attach to OGRE MovableObject instances. Recommend you override this in your classes if you use more than one type of object.

  Alternatively, you can override the getTypeID method and use that instead; that version is a litle more efficient, but obviously slightly less easy to read. You choose which you prefer.

The documentation for this class was generated from the following file:

- OgreUserDefinedObject.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:49:38 2008